Author Topic: Visualization Customizer versions and general question  (Read 4861 times)

Offline Deku

  • Full Member
  • ***
  • Join Date: Dec 2017
  • Posts: 14
  • Forum Citizenship: +0/-0
Visualization Customizer versions and general question
« on: 11 Jan 2018 04:59:06 pm »
Hi all,

I was hoping the community might be able to clarify a couple of questions for me.  Currently, I'm administering Cognos 10.2.1 (an outdated version I know).  We are working on some massive projects right now and had opted to continue using Cognos 10.2.1 until we are able to implement Cognos Analytics.  Our report writers have been looking into Active Reports recently and making use of the IBM provided visualizations.  I was able to upload these for them, but they've found them to be lacking somewhat. 

I started to look into installing Visualization Customizer and its documentation for modifying the IBM provided visualizations, but so far, I've not been able to find a version that will work for 10.2.1.  I found one link for 10.2.1 (https://www.ibm.com/communities/analytics/cognos-analytics-blog/cognos-business-intelligence-cognos-analytics-visualization-customizer/), but this was actually for 10.2.1.1.  Upon reading the Visual Customizer documentation and looking at the properties file of the installation, this is version 1.1 of the software and customizations saved in it will not work for 10.2.1.  Am I correct in assuming that you can not use the Visualization Customizer tool for any version of Cognos earlier than 10.2.1.1? 

The second question is broader.  In my current role I handle the administrative/system tasks on our Cognos installation as well as the data modeling for our packages in Framework Manager.  I'm curious if anyone has an opinion on the depth and complexity of Visualization Customizer.  On average, would the product be accessible/intuitive to a report author who is adept with report studio and SQL?

Regards,
Deku

Offline CognosPaul

  • Global Moderator
  • Statesman
  • *****
  • Join Date: Jan 2009
  • Posts: 1,901
  • Forum Citizenship: +268/-1
    • Paul's Cognos Blog
Re: Visualization Customizer versions and general question
« Reply #1 on: 11 Jan 2018 10:41:26 pm »
The visualizations built from the customizer is ultimately a group of text files. If you manually lower the version number in the specs it *MIGHT* work, if there are no reserved keywords. It might work without lowering the version number. Give it a try?

The language behind it, visJSON is a little on the esoteric side. Given enough time it's not that difficult. You define the expected data sets, the outline of the visualization, and the basic shapes inside it.

It would help if the person using the customizer has previous experience with graphing languages, such as D3.

Finally, if the focus is on fancy and advanced visualizations, I would strongly recommend upgrading to 10.2.2. There are several enhancements to RAVE, the biggest is the properties.

Offline Deku

  • Full Member
  • ***
  • Join Date: Dec 2017
  • Posts: 14
  • Forum Citizenship: +0/-0
Re: Visualization Customizer versions and general question
« Reply #2 on: 12 Jan 2018 09:23:15 am »
Thank you CognosPaul! I appreciate it.  :)